# class JBStreamSetReceive | Specialized stream data receiver. More...
Full name | `TelEngine::JBStreamSetReceive`
Definition | `#include <libs/yjabber/yatejabber.h>`
Inherits | TelEngine::JBStreamSet [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Protected Methods

- JBStreamSetReceive (JBStreamSetList* owner)
- virtual bool process (JBStream& stream)

#### Protected Members

- DataBlock m_buffer

## Detailed Description

This class holds a set specialized in stream data receiver

JBStreamSetReceive (JBStreamSetList* owner) | ### JBStreamSetReceive

[protected]

Constructor. Build the read buffer

Parameters:

owner | The list owning this set

bool process (JBStream& stream) | ### process

[protected virtual]

This method is called from run() with the list unlocked and stream's reference counter increased. Calls stream's readSocket()

Parameters:

stream | The stream to process

Returns: True if the stream received any data

Reimplemented from JBStreamSet.

DataBlock m_buffer | ### m_buffer

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.